Index: svn/src/mainboard/roda/rk886ex/m3885.c
===================================================================
--- svn.orig/src/mainboard/roda/rk886ex/m3885.c
+++ svn/src/mainboard/roda/rk886ex/m3885.c
@@ -118,10 +118,10 @@ static int send_kbd_command(u8 command)
 	while ((inb(KBD_SC) & KBD_IBF) && --timeout) {
 		udelay(10);
 		if ((timeout & 0xff) == 0)
-			printk(BIOS_SPEW, ".");
+			printk(SPEW, ".");
 	}
 	if (!timeout) {
-		printk(BIOS_DEBUG, "Timeout while sending command 0x%02x to EC!\n", 
+		printk(DEBUG, "Timeout while sending command 0x%02x to EC!\n",
 				command);
 		// return -1;
 	}
@@ -138,10 +138,10 @@ static int send_kbd_data(u8 data)
 	while ((inb(KBD_SC) & KBD_IBF) && --timeout) { // wait for IBF = 0
 		udelay(10);
 		if ((timeout & 0xff) == 0)
-			printk(BIOS_SPEW, ".");
+			printk(SPEW, ".");
 	}
 	if (!timeout) {
-		printk(BIOS_DEBUG, "Timeout while sending data 0x%02x to EC!\n",
+		printk(DEBUG, "Timeout while sending data 0x%02x to EC!\n",
 				data);
 		// return -1;
 	}
@@ -164,10 +164,10 @@ static u8 recv_kbd_data(void)
 		}
 		udelay(10);
 		if ((timeout & 0xff) == 0)
-			printk(BIOS_SPEW, ".");
+			printk(SPEW, ".");
 	}
 	if (!timeout) {
-		printk(BIOS_DEBUG, "\nTimeout while receiving data from EC!\n");
+		printk(DEBUG, "\nTimeout while receiving data from EC!\n");
 		// return -1;
 	}
 
@@ -186,13 +186,13 @@ static u8 m3885_get_variable(u8 index)
 	send_kbd_command(0xbc);
 	send_kbd_command(0xff);
 	ret = recv_kbd_data();
-	printk(BIOS_SPEW, "m3885: get variable %02x = %02x\n", index, ret);
+	printk(SPEW, "m3885: get variable %02x = %02x\n", index, ret);
 	return ret;
 }
 
 static void m3885_set_variable(u8 index, u8 data)
 {
-	printk(BIOS_SPEW, "m3885: set variable %02x = %02x\n", index, data);
+	printk(SPEW, "m3885: set variable %02x = %02x\n", index, data);
 	send_kbd_command(0xb8);
 	send_kbd_data(index);
 	send_kbd_command(0xbd);
@@ -201,7 +201,7 @@ static void m3885_set_variable(u8 index,
 
 static void m3885_set_proc_ram(u8 index, u8 data)
 {
-	printk(BIOS_SPEW, "m3885: set procram %02x = %02x\n", index, data);
+	printk(SPEW, "m3885: set procram %02x = %02x\n", index, data);
 	send_kbd_command(0xb8);
 	send_kbd_data(index);
 	send_kbd_command(0xbb);
@@ -217,7 +217,7 @@ static u8 m3885_get_proc_ram(u8 index)
 	send_kbd_command(0xba);
 	// send_kbd_command(0xff);
 	ret = recv_kbd_data();
-	printk(BIOS_SPEW, "m3885: get procram %02x = %02x\n", index, ret);
+	printk(SPEW, "m3885: get procram %02x = %02x\n", index, ret);
 	return ret;
 }
 
@@ -255,25 +255,25 @@ void m3885_configure_multikey(void)
 
 	/* Get the number of variables */
 	maxvars = m3885_get_variable(0x00);
-	printk(BIOS_DEBUG, "M388x has %d variables in bank 2.\n", maxvars);
+	printk(DEBUG, "M388x has %d variables in bank 2.\n", maxvars);
 	if (maxvars >= 35) {
 		offs = m3885_get_variable(0x23);
 		if ((offs > 0xc0) || (offs < 0x80)) {
-			printk(BIOS_DEBUG, "M388x does not have a valid ram offset (0x%x)\n", offs);
+			printk(DEBUG, "M388x does not have a valid ram offset (0x%x)\n", offs);
 		} else {
-			printk(BIOS_DEBUG, "Writing Fn-Table to M388x RAM offset 0x%x\n", offs);
+			printk(DEBUG, "Writing Fn-Table to M388x RAM offset 0x%x\n", offs);
 			for (i=0; i < ARRAY_SIZE(function_ram); i++) {
 				m3885_set_proc_ram(i + offs, function_ram[i]);
 			}
 		}
 	} else {
-		printk(BIOS_DEBUG, "Could not load Function-RAM (%d).\n", maxvars);
+		printk(DEBUG, "Could not load Function-RAM (%d).\n", maxvars);
 	}
 
 	// restore original bank
 	m3885_set_variable(0x0c, kstate5_flags);
 	maxvars = m3885_get_variable(0x00);
-	printk(BIOS_DEBUG, "M388x has %d variables in original bank.\n", maxvars);
+	printk(DEBUG, "M388x has %d variables in original bank.\n", maxvars);
 	for (i=0; i<ARRAY_SIZE(variables); i+=3) {
 		if(variables[i + 0] > maxvars)
 			continue;
@@ -401,10 +401,10 @@ u8 m3885_gpio(u8 value)
 	timeout = 0xf;
 	while (ec_read(M3885_CMCMD) && --timeout) {
 		udelay(10);
-		printk(BIOS_DEBUG, ".");
+		printk(DEBUG, ".");
 	}
 	if (!timeout) {
-		printk(BIOS_DEBUG, "\nTimeout while waiting for M3885 command!\n");
+		printk(DEBUG, "\nTimeout while waiting for M3885 command!\n");
 	}
 
 	/* If it was a read function: Pin state */
Index: svn/src/mainboard/roda/rk886ex/mainboard.c
===================================================================
--- svn.orig/src/mainboard/roda/rk886ex/mainboard.c
+++ svn/src/mainboard/roda/rk886ex/mainboard.c
@@ -49,7 +49,7 @@ static void backlight_enable(void)
 		m3885_gpio(M3885_GPIO_PULSE|M3885_GPIO_TOGGLE|M3885_GPIO_P56);
 	}
 #endif
-	printk(BIOS_DEBUG, "Display I/O: 0x%02x\n", inb(0x60f));
+	printk(DEBUG, "Display I/O: 0x%02x\n", inb(0x60f));
 }
 
 #if CONFIG_PCI_OPTION_ROM_RUN_YABEL
@@ -66,7 +66,7 @@ static int int15_handler(void)
 #define BOOT_DISPLAY_EFP2	(1 << 6)
 #define BOOT_DISPLAY_LCD2	(1 << 7)
 
-	printk(BIOS_DEBUG, "%s: AX=%04x BX=%04x CX=%04x DX=%04x\n",
+	printk(DEBUG, "%s: AX=%04x BX=%04x CX=%04x DX=%04x\n",
 			  __func__, M.x86.R_AX, M.x86.R_BX, M.x86.R_CX, M.x86.R_DX);
 
 	switch (M.x86.R_AX) {
@@ -104,13 +104,13 @@ static void dump_runtime_registers(void)
 {
 	int i;
 
-	printk(BIOS_DEBUG, "SuperIO runtime register block:\n");
+	printk(DEBUG, "SuperIO runtime register block:\n");
 	for (i=0; i<0x10; i++)
-		printk(BIOS_DEBUG, "%02x ", i);
-	printk(BIOS_DEBUG, "\n");
+		printk(DEBUG, "%02x ", i);
+	printk(DEBUG, "\n");
 	for (i=0; i<0x10; i++)
-		printk(BIOS_DEBUG, "%02x ", inb(0x600 +i));
-	printk(BIOS_DEBUG, "\n");
+		printk(DEBUG, "%02x ", inb(0x600 +i));
+	printk(DEBUG, "\n");
 }
 #endif
 
Index: svn/src/mainboard/roda/rk886ex/mainboard_smi.c
===================================================================
--- svn.orig/src/mainboard/roda/rk886ex/mainboard_smi.c
+++ svn/src/mainboard/roda/rk886ex/mainboard_smi.c
@@ -34,7 +34,7 @@ int mainboard_io_trap_handler(int smif)
 {
 	switch (smif) {
 	case 0x99:
-		printk(BIOS_DEBUG, "Sample\n");
+		printk(DEBUG, "Sample\n");
 		//gnvs->smif = 0;
 		break;
 	default:
Index: svn/src/mainboard/roda/rk886ex/mptable.c
===================================================================
--- svn.orig/src/mainboard/roda/rk886ex/mptable.c
+++ svn/src/mainboard/roda/rk886ex/mptable.c
@@ -118,7 +118,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
 
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n", mc, smp_next_mpe_entry(mc));
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n", mc, smp_next_mpe_entry(mc));
 
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/roda/rk886ex/romstage.c
===================================================================
--- svn.orig/src/mainboard/roda/rk886ex/romstage.c
+++ svn/src/mainboard/roda/rk886ex/romstage.c
@@ -57,7 +57,7 @@
 #include "southbridge/intel/i82801gx/i82801gx.h"
 static void setup_ich7_gpios(void)
 {
-	printk(BIOS_DEBUG, " GPIOS...");
+	printk(DEBUG, " GPIOS...");
 	/* General Registers */
 	outl(0xbfc0f7c0, DEFAULT_GPIOBASE + 0x00);	/* GPIO_USE_SEL */
 	outl(0x70a87d83, DEFAULT_GPIOBASE + 0x04);	/* GP_IO_SEL */
@@ -300,7 +300,7 @@ void real_main(unsigned long bist)
 	report_bist_failure(bist);
 
 	if (MCHBAR16(SSKPD) == 0xCAFE) {
-		printk(BIOS_DEBUG, "soft reset detected.\n");
+		printk(DEBUG, "soft reset detected.\n");
 		boot_mode = 1;
 	}
 
@@ -314,10 +314,10 @@ void real_main(unsigned long bist)
 
 	/* Read PM1_CNT */
 	reg32 = inl(DEFAULT_PMBASE + 0x04);
-	printk(BIOS_DEBUG, "PM1_CNT: %08x\n", reg32);
+	printk(DEBUG, "PM1_CNT: %08x\n", reg32);
 	if (((reg32 >> 10) & 7) == 5) {
 #if CONFIG_HAVE_ACPI_RESUME
-		printk(BIOS_DEBUG, "Resume from S3 detected.\n");
+		printk(DEBUG, "Resume from S3 detected.\n");
 		boot_mode = 2;
 		/* Clear SLP_TYPE. This will break stage2 but
 		 * we care for that when we get there.
@@ -325,7 +325,7 @@ void real_main(unsigned long bist)
 		outl(reg32 & ~(7 << 10), DEFAULT_PMBASE + 0x04);
 
 #else
-		printk(BIOS_DEBUG, "Resume from S3 detected, but disabled.\n");
+		printk(DEBUG, "Resume from S3 detected, but disabled.\n");
 #endif
 	}
 
@@ -361,7 +361,7 @@ void real_main(unsigned long bist)
 		/* This will not work if TSEG is in place! */
 		u32 tom = pci_read_config32(PCI_DEV(0,2,0), 0x5c);
 
-		printk(BIOS_DEBUG, "TOM: 0x%08x\n", tom);
+		printk(DEBUG, "TOM: 0x%08x\n", tom);
 		ram_check(0x00000000, 0x000a0000);
 		ram_check(0x00100000, tom);
 	}
Index: svn/src/mainboard/roda/rk886ex/rtl8168.c
===================================================================
--- svn.orig/src/mainboard/roda/rk886ex/rtl8168.c
+++ svn/src/mainboard/roda/rk886ex/rtl8168.c
@@ -27,7 +27,7 @@
 
 static void nic_init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "Initializing RTL8168 Gigabit Ethernet\n");
+	printk(DEBUG, "Initializing RTL8168 Gigabit Ethernet\n");
 	// Nothing to do yet, but this has to be here to keep 
 	// coreboot from trying to execute an option ROM.
 }
Index: svn/src/mainboard/sunw/ultra40/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/sunw/ultra40/get_bus_conf.c
+++ svn/src/mainboard/sunw/ultra40/get_bus_conf.c
@@ -102,7 +102,7 @@ void get_bus_conf(void)
 #endif
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x09);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x09);
 
                         bus_ck804_1 = 2;
 #if 0
@@ -120,7 +120,7 @@ void get_bus_conf(void)
                         bus_ck804_3++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x0b);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x0b);
 
                         bus_ck804_3 = bus_ck804_2+1;
                 }
@@ -132,7 +132,7 @@ void get_bus_conf(void)
                         bus_ck804_4++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x0c);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x0c);
 
                         bus_ck804_4 = bus_ck804_3+1;
                 }
@@ -145,7 +145,7 @@ void get_bus_conf(void)
                         bus_ck804_5++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n",sbdn + 0x0d);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n",sbdn + 0x0d);
 
                         bus_ck804_5 = bus_ck804_4+1;
                 }
@@ -156,7 +156,7 @@ void get_bus_conf(void)
                         bus_ck804_5 = pci_read_config8(dev, PCI_SECONDARY_BUS);
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn+ 0x0e);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn+ 0x0e);
                 }
 
 		bus_8131_0 = (pci1234[1] >> 16) & 0xff;
@@ -168,7 +168,7 @@ void get_bus_conf(void)
                         bus_8131_2++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
 
                         bus_8131_1 = bus_8131_0+1;
                         bus_8131_2 = bus_8131_0+2;
@@ -181,7 +181,7 @@ void get_bus_conf(void)
                         bus_isa++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
 
                         bus_8131_2 = bus_8131_1+1;
                 }
@@ -198,7 +198,7 @@ void get_bus_conf(void)
                         bus_ck804b_2++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x09);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x09);
 
                         bus_ck804b_1 = bus_ck804b_0+1;
                         bus_ck804b_2 = bus_ck804b_0+2;
@@ -211,7 +211,7 @@ void get_bus_conf(void)
                         bus_ck804b_3++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x0b);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x0b);
 
                         bus_ck804b_2 = bus_ck804b_0+1;
                         bus_ck804b_3 = bus_ck804b_0+2;
@@ -224,7 +224,7 @@ void get_bus_conf(void)
                         bus_ck804b_4++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x0c);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x0c);
 
                         bus_ck804b_4 = bus_ck804b_3+1;
                 }
@@ -235,7 +235,7 @@ void get_bus_conf(void)
                         bus_ck804b_5++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x0d);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x0d);
 
                         bus_ck804b_5 = bus_ck804b_4+1;
                 }
@@ -248,7 +248,7 @@ void get_bus_conf(void)
                         bus_isa++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x0e);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_ck804b_0,sbdnb+0x0e);
 #if 1
                         bus_ck804b_5 = bus_ck804b_4+1;
 #endif
Index: svn/src/mainboard/sunw/ultra40/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/sunw/ultra40/irq_tables.c
+++ svn/src/mainboard/sunw/ultra40/irq_tables.c
@@ -71,7 +71,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -173,7 +173,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/sunw/ultra40/mptable.c
===================================================================
--- svn.orig/src/mainboard/sunw/ultra40/mptable.c
+++ svn/src/mainboard/sunw/ultra40/mptable.c
@@ -226,7 +226,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/supermicro/h8dme/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dme/get_bus_conf.c
+++ svn/src/mainboard/supermicro/h8dme/get_bus_conf.c
@@ -114,7 +114,7 @@ void get_bus_conf(void)
                         bus_mcp55[2]++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x06);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x06);
 
                         bus_mcp55[1] = 2;
                         bus_mcp55[2] = 3;
@@ -128,7 +128,7 @@ void get_bus_conf(void)
         	                bus_isa++;
 	                }
         	        else {
-                	        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_mcp55[0], sbdn + 0x0a + i - 2 );
+                	        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_mcp55[0], sbdn + 0x0a + i - 2 );
 	                        bus_isa = bus_mcp55[i-1]+1;
         	        }
 		}
Index: svn/src/mainboard/supermicro/h8dme/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dme/irq_tables.c
+++ svn/src/mainboard/supermicro/h8dme/irq_tables.c
@@ -75,7 +75,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -112,7 +112,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/supermicro/h8dme/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dme/mptable.c
+++ svn/src/mainboard/supermicro/h8dme/mptable.c
@@ -162,7 +162,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/supermicro/h8dme/romstage.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dme/romstage.c
+++ svn/src/mainboard/supermicro/h8dme/romstage.c
@@ -99,7 +99,7 @@ static void dump_smbus_registers(void)
 		int j;
 		if (smbus_read_byte(device, 0) < 0)
 			continue;
-		printk(BIOS_DEBUG, "smbus: %02x", device);
+		printk(DEBUG, "smbus: %02x", device);
 		for (j = 0; j < 256; j++) {
 			int status;
 			unsigned char byte;
@@ -108,10 +108,10 @@ static void dump_smbus_registers(void)
 				break;
 			}
 			if ((j & 0xf) == 0) {
-				printk(BIOS_DEBUG, "\n%02x: ", j);
+				printk(DEBUG, "\n%02x: ", j);
 			}
 			byte = status & 0xff;
-			printk(BIOS_DEBUG, "%02x ", byte);
+			printk(DEBUG, "%02x ", byte);
 		}
 		print_debug("\n");
 	}
@@ -267,7 +267,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
 	setup_mb_resource_map();
 
Index: svn/src/mainboard/supermicro/h8dmr/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr/get_bus_conf.c
+++ svn/src/mainboard/supermicro/h8dmr/get_bus_conf.c
@@ -114,7 +114,7 @@ void get_bus_conf(void)
                         bus_mcp55[2]++;
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x06);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sbdn + 0x06);
 
                         bus_mcp55[1] = 2;
                         bus_mcp55[2] = 3;
@@ -128,7 +128,7 @@ void get_bus_conf(void)
         	                bus_isa++;
 	                }
         	        else {
-                	        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_mcp55[0], sbdn + 0x0a + i - 2 );
+                	        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", bus_mcp55[0], sbdn + 0x0a + i - 2 );
 	                        bus_isa = bus_mcp55[i-1]+1;
         	        }
 		}
Index: svn/src/mainboard/supermicro/h8dmr/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr/irq_tables.c
+++ svn/src/mainboard/supermicro/h8dmr/irq_tables.c
@@ -75,7 +75,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -112,7 +112,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/supermicro/h8dmr/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr/mptable.c
+++ svn/src/mainboard/supermicro/h8dmr/mptable.c
@@ -162,7 +162,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/supermicro/h8dmr/romstage.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr/romstage.c
+++ svn/src/mainboard/supermicro/h8dmr/romstage.c
@@ -198,7 +198,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         setup_mb_resource_map();
 
Index: svn/src/mainboard/supermicro/h8dmr_fam10/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr_fam10/get_bus_conf.c
+++ svn/src/mainboard/supermicro/h8dmr_fam10/get_bus_conf.c
@@ -102,7 +102,7 @@ void get_bus_conf(void)
 			m->bus_mcp55[1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
+			printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
 		}
 
 		for(i=2; i<8;i++) {
@@ -111,7 +111,7 @@ void get_bus_conf(void)
 				m->bus_mcp55[i] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 			}
 			else {
-				printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
+				printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
 			}
 		}
 
@@ -124,7 +124,7 @@ void get_bus_conf(void)
 			m->bus_type[j] = 1;
 		if(m->bus_isa <= busn_max)
 			m->bus_isa = busn_max + 1;
-		printk(BIOS_DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
+		printk(DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
 	}
 
 /*I/O APICs:	APIC ID	Version	State		Address*/
Index: svn/src/mainboard/supermicro/h8dmr_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr_fam10/irq_tables.c
+++ svn/src/mainboard/supermicro/h8dmr_fam10/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be between 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -131,7 +131,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/supermicro/h8dmr_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr_fam10/mptable.c
+++ svn/src/mainboard/supermicro/h8dmr_fam10/mptable.c
@@ -149,7 +149,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/supermicro/h8dmr_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr_fam10/romstage.c
+++ svn/src/mainboard/supermicro/h8dmr_fam10/romstage.c
@@ -187,16 +187,16 @@ void cache_as_ram_main(unsigned long bis
 
         uart_init();
         console_init();
-  printk(BIOS_DEBUG, "\n");
+  printk(DEBUG, "\n");
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
  val = cpuid_eax(1);
- printk(BIOS_DEBUG, "BSP Family_Model: %08x \n", val);
- printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
- printk(BIOS_DEBUG, "bsp_apicid = %02x \n", bsp_apicid);
- printk(BIOS_DEBUG, "cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
+ printk(DEBUG, "BSP Family_Model: %08x \n", val);
+ printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+ printk(DEBUG, "bsp_apicid = %02x \n", bsp_apicid);
+ printk(DEBUG, "cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
 
  /* Setup sysinfo defaults */
  set_sysinfo_in_ram(0);
@@ -227,7 +227,7 @@ void cache_as_ram_main(unsigned long bis
         wait_all_core0_started();
 #if CONFIG_LOGICAL_CPUS==1
  /* Core0 on each node is configured. Now setup any additional cores. */
- printk(BIOS_DEBUG, "start_other_cores()\n");
+ printk(DEBUG, "start_other_cores()\n");
         start_other_cores();
  post_code(0x37);
         wait_all_other_cores_started(bsp_apicid);
@@ -237,7 +237,7 @@ void cache_as_ram_main(unsigned long bis
 
 #if FAM10_SET_FIDVID == 1
  msr = rdmsr(0xc0010071);
- printk(BIOS_DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
+ printk(DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
 
  /* FIXME: The sb fid change may survive the warm reset and only
   * need to be done once.*/
@@ -255,7 +255,7 @@ void cache_as_ram_main(unsigned long bis
 
  /* show final fid and vid */
  msr=rdmsr(0xc0010071);
- printk(BIOS_DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
+ printk(DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
 #endif
 
  wants_reset = mcp55_early_setup_x();
@@ -268,17 +268,17 @@ void cache_as_ram_main(unsigned long bis
         }
 
  if (wants_reset)
-   printk(BIOS_DEBUG, "mcp55_early_setup_x wanted additional reset!\n");
+   printk(DEBUG, "mcp55_early_setup_x wanted additional reset!\n");
 
  post_code(0x3B);
 
 /* It's the time to set ctrl in sysinfo now; */
-printk(BIOS_DEBUG, "fill_mem_ctrl()\n");
+printk(DEBUG, "fill_mem_ctrl()\n");
 fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 
 post_code(0x3D);
 
-//printk(BIOS_DEBUG, "enable_smbus()\n");
+//printk(DEBUG, "enable_smbus()\n");
 //        enable_smbus(); /* enable in sio_setup */
 
 post_code(0x3E);
@@ -287,11 +287,11 @@ post_code(0x3E);
 
 post_code(0x40);
 
- printk(BIOS_DEBUG, "raminit_amdmct()\n");
+ printk(DEBUG, "raminit_amdmct()\n");
  raminit_amdmct(sysinfo);
  post_code(0x41);
 
-// printk(BIOS_DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
+// printk(DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
  post_cache_as_ram();  // BSP switch stack to ram, copy then execute LB.
  post_code(0x42);  // Should never see this post code.
 
Index: svn/src/mainboard/supermicro/h8qme_fam10/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8qme_fam10/get_bus_conf.c
+++ svn/src/mainboard/supermicro/h8qme_fam10/get_bus_conf.c
@@ -108,7 +108,7 @@ void get_bus_conf(void)
 			m->bus_mcp55[1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
+			printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
 		}
 
 		for(i=2; i<8;i++) {
@@ -117,7 +117,7 @@ void get_bus_conf(void)
 				m->bus_mcp55[i] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 			}
 			else {
-				printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
+				printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
 			}
 		}
 
@@ -143,7 +143,7 @@ void get_bus_conf(void)
 			m->bus_type[j] = 1;
 		if(m->bus_isa <= busn_max)
 			m->bus_isa = busn_max + 1;
-		printk(BIOS_DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
+		printk(DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
 	}
 
 /*I/O APICs:	APIC ID	Version	State		Address*/
Index: svn/src/mainboard/supermicro/h8qme_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8qme_fam10/irq_tables.c
+++ svn/src/mainboard/supermicro/h8qme_fam10/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be between 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -131,7 +131,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/supermicro/h8qme_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8qme_fam10/mptable.c
+++ svn/src/mainboard/supermicro/h8qme_fam10/mptable.c
@@ -146,7 +146,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
